Package com.sas.lsaf.content.repository.signature

## Class CreateSignatureInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.signature.CreateSignatureInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CreateSignatureInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the parameters that are required to create a signature. The credentials that are stored on the parameters object are tested before the electronic signature is created. If an `AuthenticationException` is thrown, it prevents the signature process from being completed.
  Since:
    1.7
  See Also:
    `SignatureService`, `SignatureService.createSignature(String, CreateSignatureInfo)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreateSignatureInfo()` | Constructs an allocated `CreateSignatureInfo` with all of the fields uninitialized.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getComment()` | Gets the comment to use to create the signature.
    `byte[]` | `getPassword()` | Gets the password that is used to create the signature.
    `java.lang.String` | `getReason()` | Gets the signature reason to use to create the signature.
    `java.lang.String` | `getRole()` | Gets the role to use to create the signature.
    `java.lang.String` | `getUserId()` | Gets the user identifier to use to create the signature.
    `int` | `hashCode()` |
    `void` | `setComment​(java.lang.String comment)` | Sets the comment to use to create the signature.
    `void` | `setPassword​(byte[] password)` | Sets the password to use during the signature process.
    `void` | `setReason​(java.lang.String reason)` | Sets the signature reason to use to create the signature.
    `void` | `setRole​(java.lang.String role)` | Sets the signature role to use to create signature.
    `void` | `setUserId​(java.lang.String userId)` | Sets the user identifier to to use to create the signature.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateSignatureInfo

          public CreateSignatureInfo()

      Constructs an allocated `CreateSignatureInfo` with all of the fields uninitialized.

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user identifier to use to create the signature.
      Returns:
        The user identifier to use to create the signature.

    - #### setUserId

          public void setUserId​(java.lang.String userId)

      Sets the user identifier to to use to create the signature. This value is required.
      Parameters:
        `userId` - The user identifier to use to create the signature.
      See Also:
        `Signature.getUserId()`

    - #### getPassword

          public byte[] getPassword()

      Gets the password that is used to create the signature. The password must be the current password of the account that is specified by the `setUserId(String)` value. The credentials are tested as part of the signature process.
      Returns:
        The password for the signee account.

    - #### setPassword

          public void setPassword​(byte[] password)

      Sets the password to use during the signature process. This value is required.
      Parameters:
        `password` - The password to use to create the signature.

    - #### getRole

          public java.lang.String getRole()

      Gets the role to use to create the signature.
      Returns:
        The role to use to create the signature.

    - #### setRole

          public void setRole​(java.lang.String role)

      Sets the signature role to use to create signature. This value is required.

      To retrieve the valid roles, call `SignatureService.getSignatureRoles()`.

      Parameters:
        `role` - The role to use to create the signature.
      See Also:
        `SignatureService.getSignatureRoles()`, `Signature.getRole()`

    - #### getReason

          public java.lang.String getReason()

      Gets the signature reason to use to create the signature.
      Returns:
        The reason to use to create the signature.

    - #### setReason

          public void setReason​(java.lang.String reason)

      Sets the signature reason to use to create the signature. This value is required.

      To retrieve the valid reasons call `SignatureService.getSignatureReasons()`.

      Parameters:
        `reason` - The reason to use to create the signature.
      See Also:
        `SignatureService.getSignatureRoles()`, `Signature.getReason()`

    - #### getComment

          public java.lang.String getComment()

      Gets the comment to use to create the signature.
      Returns:
        The comment to use to create the signature.

    - #### setComment

          public void setComment​(java.lang.String comment)

      Sets the comment to use to create the signature. This value is optional.
      Parameters:
        `comment` - The comment to use to create the signature.
      See Also:
        `Signature.getComment()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`